import java.util.zip.ZipInputStream;
import java.io.InputStream;
import java.io.IOException;
import java.io.EOFException;

/**
 * Description:
 */
public class MyZipInputStream extends ZipInputStream {

    /**
     * Creates a new ZIP input stream.
     *
     * @param in the actual input stream
     */
    public MyZipInputStream(InputStream in) {
        super(in);
    }

    protected void fill() throws IOException {
        len = in.read(buf, 0, buf.length);
        decrypt(buf, 0, len);
        if (len == -1) {
            throw new EOFException("Unexpected end of ZLIB input stream");
        }
        inf.setInput(buf, 0, len);
    }

    private void decrypt(byte b[], int off, int len) {
        for (int i = off; i < len; i++) {
            //b[i] = b[i];
            b[i] = (byte) ((b[i] ^ 0x33) & 0xFF);
        }
    }

}
